Bug#930197: unblock: nextcloud-desktop/2.5.1-3

2019-06-07 Thread Sandro Knauß
Issue-1000-Subfolders-of-moved-folders-not-syn.patch + + -- Sandro Knauß Thu, 16 May 2019 16:14:50 +0200 + nextcloud-desktop (2.5.1-2) unstable; urgency=medium [ Adrian Heine ] diff -Nru nextcloud-desktop-2.5.1/debian/patches/0005-Fixed-Issue-1000-Subfolders-of-moved-folders-not-syn.patch

Bug#929079: nextcloud-desktop: Subfolders of moved folders not synced

2019-05-16 Thread Sandro Knauß
Package: nextcloud-desktop Version: 2.5.1-2 Severity: important Control: Forwarded -1 https://github.com/nextcloud/desktop/issues/1000 When moving a folder into your Nextcloud folder, Nextcloud desktop do synchronize all directories recursively. -- System Information: Debian Release: 10.0 APT

Bug#926996: kmail: CVE-2019-10732: decryption based on replying to PGP or S/MIME encrypted emails

2019-05-13 Thread Sandro Knauß
Control: reassign -1 kf5-messagelib The code lies in kf5-messagelib, that's why I reassign the bug. Please update the security tracker accordingly. > Discussion on https://bugs.kde.org/show_bug.cgi?id=404698 seems to > indicate the issue is getting resolved upstream. Yes I fixed the bug

Bug#928345: unblock: akonadi/4:18.08.3-5

2019-05-02 Thread Sandro Knauß
/changelog2019-04-29 16:24:10.0 +0200 @@ -1,3 +1,13 @@ +akonadi (4:18.08.3-5) unstable; urgency=medium + + * Team upload. + + [ Sandro Knauß ] + * Switch back to use default-mysql-server-core instead of default- +mysql-server as dependency (see #910902). + + -- Sandro Knauß Mon, 29

Bug#926508: nextcloud-desktop: Cannot login: "You have been logged out of mys...@example.org as user myself. Please login again"

2019-04-19 Thread Sandro Knauß
Control: severity -1 important Hey, I can't reproduce your issue on a KDE environment. I can add new accounts to my nextcloud client. That's why I lowered the severity. What server version do you use? > I did not notice it right away but I believe upgrading to libqt5webengine >

Bug#884128: libical: don't release with buster

2019-04-10 Thread Sandro Knauß
Hey, > That's basically kdepimlibs, as cyrus-imapd is not in testing and kmymoney is already fixed in experimental and just needs an upload to sid. > kdepimlibs may not be easy though as disabling libical will probably disable some libs that may be used by rdeps. Someone needs to look at

Bug#910902: Please test again: resolveip and Akonadi for a freash installation

2019-04-08 Thread Sandro Knauß
Hey, > Can you please test again with the latest version in Debian unstable > and verify this is fixed now? I tested the 41873 build and now akonadi-server is able to start a fresh installation with only madiadb-server-core. So 1:10.3.13-3 will finally make it possible to switch back to

Bug#905697: kdepimlibs: don't depend on libical

2019-04-02 Thread Sandro Knauß
Hi, thanks a lot for the patch. I already pushed a new version, with your patch added. hefee -- On Sonntag, 31. März 2019 22:35:05 CEST Giovanni Mascellani wrote: > user debian-rele...@lists.debian.org > > usertags 905697 + bsp-2019-03-fr-paris > thank you > > Hi, > > On Thu, 14 Feb 2019

Bug#784477: Fwd: Re: [SECURITY] CVE-2019-7443 (kauth) in kdelibs

2019-03-23 Thread Sandro Knauß
Hey, FreeBSD removed Qt4 compelty last weekend from their repo. hefee -- Forwarded Message -- Subject: Re: [SECURITY] CVE-2019-7443 (kauth) in kdelibs Date: Samstag, 23. März 2019, 22:54:08 CET From: Tobias C. Berner To: Sandro Knauß, Adriaan de Groot Moin moin On FreeBSD

Bug#922727: CVE-2019-7443

2019-03-20 Thread Sandro Knauß
Hey, > Shall we cherrypick/backport the patch on our own, then or rather ignore it > given the vast majority of applications uses kf5 now? I would recommend to cherrypick/backport. I think the base hasn't changed a lot, so it will be easy to backport. Unfortunately we sill have several

Bug#925155: RM: kaddressbook [armel, mips, mips64el, ppc64el, s390x] -- ANAIS; kdddressbook now depends on kdepim-runtime, that is not available in all archs.

2019-03-20 Thread Sandro Knauß
Control: reassign -1 kdepim-runtime 4:18.08.3-1 Control: retitle -1 Build on all release critical platforms Control: tags -1 -moreinfo Control: severity -1 serious kaddressbook can't migrate to Buster because kdepim-runtime is not available for all archs. hefee signature.asc Description: This

Bug#925155: RM: kaddressbook [armel, mips, mips64el, ppc64el, s390x] -- ANAIS; kdddressbook now depends on kdepim-runtime, that is not available in all archs.

2019-03-20 Thread Sandro Knauß
:06 CET Sandro Knauß wrote: > Package: ftp.debian.org > Severity: normal > > The fix for #910731 indroduces new depdendencies: akonadi-server and > kdepim-runtime. kdepim-runtime is not available for a lot of archs, as > it depdends on qtwebengine-opensource-src. So unf

Bug#925155: RM: kaddressbook [armel, mips, mips64el, ppc64el, s390x] -- ANAIS; kdddressbook now depends on kdepim-runtime, that is not available in all archs.

2019-03-20 Thread Sandro Knauß
Package: ftp.debian.org Severity: normal The fix for #910731 indroduces new depdendencies: akonadi-server and kdepim-runtime. kdepim-runtime is not available for a lot of archs, as it depdends on qtwebengine-opensource-src. So unfortunatelly I need to request the removal of kaddressbook for

Bug#922727: CVE-2019-7443

2019-03-19 Thread Sandro Knauß
Hey, > The security bug filed against kauth in #921995 also seems to affect > kde4libs, the code is in kdecore/auth/backends/dbus/DBusHelperProxy.cpp? yes, it is likely, that also kde4libs is affected. kauth is KDE Frameworks. As the birth of KDE Frameworks is a split of kdelibs. I think KDE

Bug#924882: unblock: kaddressbook/4:18.08.3-3

2019-03-17 Thread Sandro Knauß
16:02:34.0 +0100 +++ kaddressbook-18.08.3/debian/changelog 2019-03-06 20:44:34.0 +0100 @@ -1,3 +1,26 @@ +kaddressbook (4:18.08.3-3) unstable; urgency=medium + + * Team upload. + + [ Sandro Knauß ] + * Fix "unnecessary Depends: kdepim-addons, missing Depends: k

Bug#910902: Please test again: resolveip and Akonadi for a freash installation

2019-03-13 Thread Sandro Knauß
Hey Otto, > Fix for this pending at > https://salsa.debian.org/mariadb-team/mariadb-10.3/commits/bugfix/910902-mov > e-resolveip-to-server-core thanks, but this is still not enough to run a mysql_install_db successfully. $ /usr/bin/mysql_install_db --datadir=/tmp/test FATAL ERROR: Could

Bug#895632: kdav: autopkgtest fails with new release while succeeded in the past

2019-03-04 Thread Sandro Knauß
Version: 18.08.3-1 As the build tests are flaky anyways, we disabled the autopkgtest for Buster. hefee -- On Freitag, 13. April 2018 19:54:40 CET Paul Gevers wrote: > Source: kdav > Version: 17.12.3-1 > Severity: normal > User: ci-t...@tracker.debian.org > Usertags: regression > > With the

Bug#910731: kaddressbook: crashes at startup

2019-03-04 Thread Sandro Knauß
Hey, okay the initial issue is solved, that is great. Btw. please use the bugnumber-qu...@bugs.debian.org rarely, because than maintainers like me don't gets any mails, that's why I missed your conversation. > > I suppose this means that kaddressbook should depend on akonadi-server. thanls

Bug#730048: kmail does not properly quote From field when replying

2019-03-03 Thread Sandro Knauß
Control: tags -1 -moreinfo Control: found -1 4:18.08.1-1 Control: found -1 4:4.14.1-1+deb8u1 Hey, well the bug is an upstream one, so please report back there, that you can reproduce it with a new version. It is too much work for me to forward your input.

Bug#921624: kmail: Crash during/after filtering inbox, probably related to Qt WebEngine integration

2019-03-03 Thread Sandro Knauß
Control: forwarded -1 https://bugs.kde.org/404052 Hey, it does not looks like a packaging issue so far. It may a duplicate of #923490. hefee -- On Donnerstag, 7. Februar 2019 13:08:17 CET Martin Steigerwald wrote: > Dear Sandro, > > Better late than never, I managed to report the KMail

Bug#923562: kmail: fails to copy sent email to sent mail folder

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Hey, for what resource this happens? maildir, imap, google imap? did you checked akonadiconsole also logging tab may be interessed. hefee signature.asc Description: This is a digitally signed message part.

Bug#922270: kmail - "Name" column in message window can not made smaller

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Hey Hans, > I got into a minor problem. In the window (where the "Kmail-folder", > "Inbox", "Sent" etc. folders appear), it is not possible, to resize the > firs column (called "name"). > > The first column is very, very, very large and on the buttom of the window >

Bug#923292: kmail randomly crashes when closing windows

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Please start kmail from console and enable Qt logging before like I described at #923288. Please attach a backtrace of the crash, so we can analyse what is going on. hefee On Montag, 25. Februar 2019 23:24:54 CET Juha Jäykkä wrote: > Package: kmail > Version:

Bug#923293: kmail: mailbox contents displayed wrong

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Please use the Notification Monitor and Job tracker tab in akonadiconsole to find out more information about what is going on. You have to enabled both before the issue happen, so see if the needed jobs/notifications are triggerd. In the end of this, it will not be a

Bug#923291: kmail: syncing inbox(es) never finishes

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Control: reassign -1 akonadi-server 4:18.08.3-4 Control: affects -1 kmail Hey Juha, thanks for giving input about the current state of kmail. Unfortunately these are not enough information to tackle down the issue. Your issue sounds that a Akonadi Resource is stuck.

Bug#923288: kmail does not exit

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Hey Juha, thanks for giving input about the current state of kmail. Unfortunately these are not enough information to tackle down the issue. Enable logging for Qt: ~/.config/QtProject/qtlogging.ini [Rules] *.warning=true *.critical=true *=true qt.*=false

Bug#900895: kmail: KMail malfunctioning: Red email folders, no emails can be viewed; "Unable to fetch item from backend (collection-1): Unable to contact resource"

2019-03-03 Thread Sandro Knauß
Control: tags -1 +moreinfo Control: reassign -1 kdepim-runtime 4:16.04.2-2+b2 Control: forcemerge -1 900957 Thanks for reporting the issue and sorry for not responding for so long time. The bug is actually in the maildir_resource that is shipped within kdepim- runtime package, that why reassign

Bug#923490: kmail: random segfaults while idle

2019-03-03 Thread Sandro Knauß
Control: reassign -1 qtwebengine 5.11.3+dfsg-2 Control: affects -1 kmail Control: retitle -1 QtWebEnigne make kmail random segfault while idle The complete backtrace looks not to be complete, as I don't see any reference to any libkf5X nor to kmail. For me it looks like an issue in qtwebegine,

Bug#910902: Please test again: resolveip and Akonadi for a freash installation

2019-02-28 Thread Sandro Knauß
Hey, > Looks like this has never been in the core package: I mentioned that, too. But I printend the command that fails: /usr/bin/mysql_install_db --defaults-file= --force --basedir=/usr --datadir=/home/siducer/.local/share/akonadi/db_data/ I this command also fails with the same error (not

Bug#910902: Please test again: my_print_defaults and Akonadi for a freash installation

2019-02-27 Thread Sandro Knauß
Control: tags -1 -moreinfo Control: retitle -1 resolveip is missing for a fresh installation of Akonadi Hey, Okay I made the initial test late December and checked against 10.1. I now checked again and you are right my_print_defaults is now found in the -core package. Bit this the command is

Bug#922508: prosody-modules: please add mod_onions

2019-02-17 Thread Sandro Knauß
Package: prosody-modules Version: 0.0~hg20190203.b54e98d5c4a1+dfsg-1 Severity: wishlist please add mod_onions, which allows to serve XMPP via tor see: https://modules.prosody.im/mod_onions.html hefee

Bug#922489: qtkeychain: relies on existence of libsecret-1.so -dev symlink

2019-02-17 Thread Sandro Knauß
Control: Forwarded -1 https://github.com/frankosterfeld/qtkeychain/pull/139 Hey, thanks for the fast reply, that gave me the right direction to search for the bugfix. > I think this is a qtkeychain bug. This code that appears to be responsible > for dlopen()ing libsecret: > >

Bug#909856: [Pkg-owncloud-maintainers] Bug#909856: owncloud-client: Build against libsecret

2019-02-17 Thread Sandro Knauß
Control: reassign -1 libqt5keychain1 0.9.1-1 Control: forcemerge 909588 -1 Hey, the bug is inside qtkeychain and not in owncloud-client. Regards, hefee -- On Samstag, 26. Januar 2019 11:36:46 CET Thomas Maaß wrote: > Source: owncloud-client > Followup-For: Bug #909856 > > Dear Maintainer, >

Bug#922489: libsecret-1-0: needs symlink to libsecret-1.so

2019-02-16 Thread Sandro Knauß
-- On Sonntag, 17. Februar 2019 00:21:55 CET Sandro Knauß wrote: > Package: libsecret-1-0 > Version: 0.18.7-1 > Severity: normal > > Hey, > > qtkeychain is using libsecret as a backend to request passwords. ldd is > showing me that it is linked against libsecret-1.so.0 (fine)

Bug#920984: nextcloud-desktop: Client forgets credentials

2019-02-16 Thread Sandro Knauß
Hey, I found now a workaround for the issue of not detecting credentials. Just create this symlink: ln -s /usr/lib/x86_64-linux-gnu/libsecret-1.so.0 /usr/lib/x86_64-linux-gnu/libsecret-1.so But please keep in mind, it is just a workaround - it may break you system later. Otherwise I created

Bug#922489: libsecret-1-0: needs symlink to libsecret-1.so

2019-02-16 Thread Sandro Knauß
Package: libsecret-1-0 Version: 0.18.7-1 Severity: normal Hey, qtkeychain is using libsecret as a backend to request passwords. ldd is showing me that it is linked against libsecret-1.so.0 (fine). But strace shows one sucessfull read of libsecret-1.so.0 (fine) but afterwards, it tries to load

Bug#922235: nextcloud-desktop: Client seems to not save login credentials

2019-02-16 Thread Sandro Knauß
Control: reassign -1 libqt5keychain1 0.9.1-2 Control: forcemerge 920984 -1 Hi, > I've looked into it, and the new client (as opposed to owncloud-client which > I used before) uses qtkeychain, which uses either gnome-keyring or kwallet. > I'm starting gnome-keyring with my login session

Bug#922255: libkgapi: FTBFS randomly (failing tests)

2019-02-14 Thread Sandro Knauß
Hey, Yes it is known, that the tests are flaky. Upstream also fighting with this fact and improving slowly... Please give the build another try. hefee -- On Mittwoch, 13. Februar 2019 21:16:24 CET Santiago Vila wrote: > Package: src:libkgapi > Version: 18.08.3-1 > Severity: important >

Bug#921987: mysqld-akonadi: Could not open required defaults file

2019-02-13 Thread Sandro Knauß
Hey, > I used mysql and not mariadb. well mysql is not in buster. mysql-5.5 is oldstable So using mysql can't be a supported case. I strongly encourage you to switch to mariadb! If you need to use mysql, than you find a workaround at the upstream bugreport:

Bug#921343: nextcloud-desktop: Synchronisation fails with "PROPFIND Reply is not XML Formatted"

2019-02-12 Thread Sandro Knauß
Control: severity -1 normal Control: forwarded https://github.com/nextcloud/desktop/issues/1025 Hey, > Nextcloud client fails to synchronize files on an up to date Nextcloud > server (15.0.2.0) with this error: I can't reproduce this error with Nextcloud 15.0.4.0. This is surely not an client

Bug#921987: mysqld-akonadi: Could not open required defaults file

2019-02-12 Thread Sandro Knauß
Hey, > I have the same problem and it didn't go away. > Using the version from testing solved the problem. > Using the version from sid and the problem reappeared. > Strace showed the message ACCESS DENIED on > ~/.local/share/akonadi/mysql.conf. Now, I'm using the version from testing. do you

Bug#905697: kdepimlibs: don't depend on libical

2019-02-08 Thread Sandro Knauß
Hey, for me it looks like we won't be able to get kdepimlibs without libical 2 for buster. Keep in mind, that kdepimlibs is an old grufted lib set that we also would like to kill. But we also have other packages depending on it like: * basket * kopete (it has a QT5 version in experimental, but

Bug#921646: kdepim-runtime: akonadi_imap_resource fails to download gmail content

2019-02-08 Thread Sandro Knauß
Hey, thanks for your input. So far your bugreport sounds like gmail banning the account temporarily for exceeding some limit. They do such things. So just retry some hours later, than you should download more. Hopefully that helps. Unfortunately we do not have a way to display those bans to

Bug#921584: Free the results when QSqlQuery::finished() is called

2019-02-06 Thread Sandro Knauß
Ah short report, why those patches are needed. Without the patches all DB requests will pile up in RAM and Akonadi will use more and more RAM with time. Keeping the query around in the caches cause them to use insane amount of memory, if the last query happened to return a lot of results.

Bug#921535: Some patches for Akonadi

2019-02-06 Thread Sandro Knauß
Ah short report, why those patches are needed. Without the patches all DB requests will pile up in RAM and Akonadi will use more and more RAM with time. Keeping the query around in the caches cause them to use insane amount of memory, if the last query happened to return a lot of results.

Bug#910902: Mariadb provides my_print_defaults not anymore at mariadb-server-core

2019-02-04 Thread Sandro Knauß
Control: reassign -1 mariadb-server 1:10.3.12-2 Control: affects -1 akonadi-backend-mysql Control: severity -1 serious Hey, mariadb moved my_print_defaults from mysql-server-core to mariadb-server. So akonadi-backend-mysql do now need to depend at mariadb-server. As "my_print_defaults" is only

Bug#920984: [Pkg-owncloud-maintainers] Bug#920984: nextcloud-desktop: Client forgets credentials

2019-02-04 Thread Sandro Knauß
Hey, > Well I wondering if it is even requesting dbus. > > For instance looking at the log with “ dbus-monitor > "path=/org/freedesktop/secrets" ” I can see other applications requesting > pwd from Seahorse (ie. polari irc client or Chromium), but launching > nextcloud-desktop doesn't trigger

Bug#920984: [Pkg-owncloud-maintainers] Bug#920984: nextcloud-desktop: Client forgets credentials

2019-02-04 Thread Sandro Knauß
Hey kaliko, > I just tried, pbuilder with a buster image, still fails to keep credentials > in Gnome pwd manager :| grmpf. > I did not take time to investigate any further but building qtkeychain > raises a warning from dpkg-shlibdeps: > >

Bug#920984: [Pkg-owncloud-maintainers] Bug#920984: nextcloud-desktop: Client forgets credentials

2019-02-04 Thread Sandro Knauß
Hey kaliko, > Can't confirm Thomas fix. thanks for testing. > I did force libsecret as a build dependency on nextcloud-desktop, but it did > not solve the issue. > > Anyway nextcloud-desktop already fetches libsecret with the current build > (nextcloud-desktop build-dep on qt5keychain-dev →

Bug#920984: [Pkg-owncloud-maintainers] Bug#920984: nextcloud-desktop: Client forgets credentials

2019-02-04 Thread Sandro Knauß
Control: reassign -1 libqt5keychain1 0.9.0-2 Control: affects -1 nextcloud-desktop Control: affects -1 owncloud-client Hey, > I can confirm this with XFCE. That is the same issue I filed against the > owncloud-client. > Building the package with libsecret installed, solved it. I know, there is >

Bug#847613: ITP: nextcloud-dektop -- desktop client for nextcloud

2019-01-15 Thread Sandro Knauß
owner -1 he...@debian.org retitle -1 ITP: nextcloud-dektop -- desktop client for nextcloud thanks Hey, than I'll take over ownership for nextcloud-dektop, and I propose to integrate the work inside the pkg-owncloud team. Any help is welcomed. My current state you can find here:

Bug#847613: ownCloud-client - checksumming - Nextcloud Server

2019-01-02 Thread Sandro Knauß
Hey, > >> With todays upload of owncloud-client, I got a big fat warning that > >> connecting to nextcloud is no longer supported > > > >Argh they now really start fighting against each other - WTF? If > >nextcloud- dektop won't make it to Debian, I'll patch this out. > > I'm not sure that's a

Bug#847613: ITP: nextcloud-client -- desktop client for nextcloud

2018-12-31 Thread Sandro Knauß
Hey, > With todays upload of owncloud-client, I got a big fat warning that > connecting to nextcloud is no longer supported Argh they now really start fighting against each other - WTF? If nextcloud- dektop won't make it to Debian, I'll patch this out. hefee signature.asc Description:

Bug#847613: ITP: nextcloud-client -- desktop client for nextcloud

2018-12-28 Thread Sandro Knauß
Hey Lev, sorry I havn't seen, that you already took the task of packaging nextcloud- desktop for Debian. I started already to copy the work done at owncloud-client to nextcloud-desktop and also got something, that is quite ready for usage. I published my work at salsa:

Bug#898367: my_print_defaults and Akonadi for a freash installation

2018-11-01 Thread Sandro Knauß
Control: affects -1 + akonadi-backend-mysql Hey, > 'FATAL ERROR: Could not find my_print_defaults' Akonadi needs to create databases and currently also is unable to create a fresh installation. This is reported as #910902. hefee signature.asc Description: This is a digitally signed message

Bug#909588: [Pkg-owncloud-maintainers] Bug#909588: libqt5keychain1 seems not to find gnome-keyring service

2018-10-21 Thread Sandro Knauß
Hey, > All started, that the oc client did not remember the login. I am using > Buster with an XFCE desktop. So I decided to try out the nc client. > Because it is not packaged for Debian I had to compile it myself. The > same issue occured. It also lost its login. So I built again with >

Bug#909588: [Pkg-owncloud-maintainers] Bug#909588: libqt5keychain1 seems not to find gnome-keyring service

2018-10-21 Thread Sandro Knauß
Hey, I don't want to sound rough, but I don't have your setup and so I need your input in that issue. We had a lot of issues with qtkeychain in different environments in past and it looks we still have issues. But as this mostly rely on your setup, you need to give me more input, otherwise I

Bug#909588: [Pkg-owncloud-maintainers] Bug#909588: libqt5keychain1 seems not to find gnome-keyring service

2018-10-20 Thread Sandro Knauß
Hey, > I rebuilt the nextcloud-client against libsecret. Now everything is ok > again. I will file a bug in the owncloud-client, which does not depend on > libsecret. I do not get it - with qtkeychain v0.9 the added the libsecrect support, because gnome-keyring switched to that interface and

Bug#909856: [Pkg-owncloud-maintainers] Bug#909856: owncloud-client: Build against libsecret

2018-10-20 Thread Sandro Knauß
Hey, > I had the problem, that the owncloud-client did not remember my login. So I gave the nextcloud-client a try, which I built from source. But it had the same problem. I figured out, that it has to be built against libsecret to interact with the gnome-keyring. I think, this would also fix

Bug#909288: transition: kdepim 18.08

2018-10-15 Thread Sandro Knauß
Hey Emilio, > This transition is blocked on blogilo. blogilo is a offline blogpost editor for CMS like wordpress choqok is micro-blogging client for things like twitter IMO choqok is not a replacement for blogilo. blogilo in is dead by upstream since 17.08. and pino made it compiling for

Bug#909288: transition: kdepim 18.08

2018-10-08 Thread Sandro Knauß
Hey Emilio, I uploaded kmailtransport_18.08.1-2 that should build on more archs (as it makes libkgapi optional). hefee @pino sorry - I forgotten to pull before starting to work, so your updates are not included in the -2. signature.asc Description: This is a digitally signed message part.

Bug#909288: transition: kdepim 18.08

2018-10-06 Thread Sandro Knauß
Hey, > kmailtransport and other packages are in bd-uninst and outdated on several > architectures because they need libkgapi which is blocked on the lack of > qtwebengine5. So either one of those get an optional build-dep so things can > build, or we'll need partial removals from the affected

Bug#910248: kmymoney: KMyMoney needs to be recompiled against KDE PIM 18.08.

2018-10-03 Thread Sandro Knauß
Source: kmymoney Version: 5.0.1-2 Severity: serious Control: block 909288 by -1 Hey, KDE PIM 18.08 changes ABI, so KMyMoney needs to recompiled against the new version. But as KMyMoney 5.0.1 is currently in experimental, this can't be done via the normal transition (so far as I unserstand.

Bug#909288: transition: kdepim 18.08

2018-10-03 Thread Sandro Knauß
Hey, after the first archs have compiled complete kde pim 18.08. Now several packages needs to get recompiled against the new kdepim, they needs to get rebuilt on any architecture: nmu ktorrent . ANY . -m 'Rebuild against kdepim 18.08.1' dw ktorrent . ANY . -m 'libkf5syndication-dev (>=

Bug#908869: blogilo: FTBFS with pimtextedit 18.08.1

2018-10-03 Thread Sandro Knauß
Control: block 909288 by -1 Control: severity -1 serious Hey, the kdepim 18.08 transition has now started. Raising the severity to RC. hefee -- On Samstag, 15. September 2018 13:00:04 CEST Sandro Knauß wrote: > Package: blogilo > Version: 4:17.08.3-2 > Severity: important

Bug#909288: transition: kdepim 18.08

2018-09-21 Thread Sandro Knauß
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition KDE Pim 18.08 has updated ist API and ABI, that makes it nessasary to bump some ABIs. Most of the packages, that needs to be rebuild are inside KDE Pim itself so only following

Bug#908870: korganizer: Tuen Ng Festival date in 2019 is wrong

2018-09-15 Thread Sandro Knauß
670 > > On Saturday 15 September 2018 21:12:22 HKT Sandro Knauß wrote: > > Control: reassign -1 src:kholidays > > Control: notfound -1 4:17.12.3-2 > > Control: found -1 1:5.49.0-1 > > Control: tags -1 +upstream > > > > Hey, > > > > Thanks

Bug#908870: korganizer: Tuen Ng Festival date in 2019 is wrong

2018-09-15 Thread Sandro Knauß
Control: reassign -1 src:kholidays Control: notfound -1 4:17.12.3-2 Control: found -1 1:5.49.0-1 Control: tags -1 +upstream Hey, Thanks for your bugreport. The bug itself is not not korganizer it is kholidays as kholidays has the list of all holidays. The bug itself is not a Debian one, it is

Bug#821093: torbrowser should be usable as sensible-browser

2018-08-27 Thread Sandro Knauß
Hey, you can use torbrowser-launcher as sensible-browser, if you start torbrowser every time with --allow-remote. See [15185] that is the upstream bug. so first console: ~/.local/share/torbrowser/tbb/x86_64/tor-browser_{LANG}/Browser/start-tor- browser --allow-remote

Bug#907345: After upgrading from 5.10.1+dfsg-6 to 5.10.1+dfsg-7 akonadi imap stops working - possibly OpenSSL 1.1.1

2018-08-27 Thread Sandro Knauß
Hey, > I think this bug-report can be closed. you can do this by your own if you send a mail at 907345-d...@bugs.debian.org. > The problems disappears if openssl is also upgraded to version 1.1.1~~pre9-1 > (from 1.1.0h-4). So this problem only exists with openssl < 1.1.1~~pre9-1. Wait - this

Bug#907427: openssl 1.1.1 breaks ssl tests

2018-08-27 Thread Sandro Knauß
Source: qtbase-opensource-src, kimap Version: kimap/18.07.90-1 Control: block 907015 by -1 When I built my KDE PIM packages locally I built against openssl 1.1.0h-4 and I had no issues running the KIMAP tests. With openssl 1.1.1~~pre9-1 (experimental) the tests breaks. See [1] for more

Bug#907230: kmail-account-wizard: FTBFS with Qt 5.11

2018-08-25 Thread Sandro Knauß
Control: fixed -1 4:18.07.90-1 Hey, these bugs are handled with the new upstream version of KDE PIM, that is currently sitting in experimental and NEW queue. But at least I have compile the whole new KDE PIM against Qt 5.11. Please check before filing those bugs if a new version waits in

Bug#907148: Bug#907154: akonadi-import-wizard: FTBFS in buster/sid (invalid use of incomplete type 'class QAction')

2018-08-24 Thread Sandro Knauß
Control: fixed -1 4:18.07.90-1 Hey, these bugs are handled with the new upstream version of KDE PIM, that is currently sitting in experimental and NEW queue. But at least I have compile the whole new KDE PIM against Qt 5.11. Please check before filing those bugs if a new version waits in

Bug#906653: libkf5ksieve: FTBFS in buster/sid ('class QFontMetrics' has no member named 'width')

2018-08-20 Thread Sandro Knauß
Control: fixed -1 4:18.07.90-1 The sources of 18.07.90 are with Qt 5.11 compatible. This bug is solved with a new version (currently in experimental/NEW). hefee -- On Sonntag, 19. August 2018 13:19:56 CEST Santiago Vila wrote: > Package: src:libkf5ksieve > Version: 4:17.12.3-1 > Severity:

Bug#906279: [uscan]: add support for selveral different url to look for tarballs

2018-08-16 Thread Sandro Knauß
Package: devscripts Version: 2.18.3 Severity: wishlist On KDE severs all unstable releases get released under the unstable path and all stable releases under stable path: https://download.kde.org/unstable/applications/ and https://download.kde.org/stable/applications/ to be able to manage every

Bug#906219: Bug#906220: kcalutils FTBFS with Qt 5.11

2018-08-16 Thread Sandro Knauß
Control: tag -1 pending I currently prepare the new usptream version 18.08, that will upload soon to experimental, that fixes the issue. hefee signature.asc Description: This is a digitally signed message part.

Bug#905659: psi-plus FTBFS: cannot find -lsecret-1

2018-08-08 Thread Sandro Knauß
Hey, > After a quick investigation, the issue seems to be the cmake configuration > files in qt5keychain-dev: > > $ grep -i secret /usr/lib/x86_64-linux-gnu/cmake/Qt5Keychain/* > /usr/lib/x86_64-linux-gnu/cmake/Qt5Keychain/Qt5KeychainLibraryDepends- > debian.cmake:

Bug#902263: Bug#905559: Bug#902263: Affecting Qt transition

2018-08-06 Thread Sandro Knauß
Hey, > That's totally understandable from your part. Now the test has clearly > failed. The regression could either be in Qt or in some part of the KDE PIM > stack (not the meta package). ktexteditor is KDE Frameworks and not KDE PIM. For KDE PIM the argument of not being up-to-date and not

Bug#900556: owncloud-client: Won't store passwords reporting failed to execute program org.kde.kwalletd

2018-07-18 Thread Sandro Knauß
Control: reassign -1 src:qtkeychain 0.7.0-3 Control: affects -1 src:owncloud-client Hey, the issue is inside qtkeychain and not inside owncloud-client. sandro -- On Mittwoch, 13. Juni 2018 14:24:13 CEST Olivier Berger wrote: > Olivier Berger writes: > > It looks like a workaround may lie

Bug#899274: KMail does not always remember the desired message list columns

2018-05-29 Thread Sandro Knauß
Hey, > Are you sure? Because the qt bug is marked as fixed, but I still have this > issue as well (fully updated Sid system). Well also Arch mention this bug and hopefully they are all patched already in master :D But I do not understand the bugtracker for Qt within which version what is

Bug#897436: owncloud-client: diff for NMU version 2.4.1+dfsg-1.1

2018-05-23 Thread Sandro Knauß
Hey, > I've prepared an NMU for owncloud-client (versioned as 2.4.1+dfsg-1.1) and > intend to have it uploaded to the archive as soon as you give me your > agreement, except if you wish to upload it yourself. > > Should you not answer in the next ten days I'll upload the patch right away.

Bug#899274: KMail does not always remember the desired message list columns

2018-05-22 Thread Sandro Knauß
Control: reassign -1 src:qtbase-opensource-src 5.10.1+dfsg-6 Control: forward -1 https://bugreports.qt.io/browse/QTBUG-65478 Control: affects -1 kmail Hey, I can confirm this bug. On kdepim-us...@kde.org it was mentioned that this issue is a Qt one. Here the the mail: On Samstag, 10. März 2018

Bug#886214: kdepim lost kjots

2018-05-19 Thread Sandro Knauß
Control: tags -1 +wontfix Hey, thanks for your bugreport. But it was upstream that has moved kjots to unmaintained. The kdepim package in Debian is the meta package, that installs everything that upstream bundles. hefee Here a mail from upstream (30.10.17): KJots are no longer part of the

Bug#899128: kdepim: Limit CVE-2017-17689 (EFAIL) even more for kmail

2018-05-19 Thread Sandro Knauß
:03.0 +0200 +++ kdepim-16.04.3/debian/changelog 2018-05-19 19:11:15.0 +0200 @@ -1,3 +1,15 @@ +kdepim (4:16.04.3-4~deb9u2) stretch; urgency=high + + * Team upload. + + [ Sandro Knauß ] + * Limit CVE-2017-17689 (EFAIL) for kmail (Closes: #899128) +- Added upstream patch (modified to apply

Bug#899127: kf5-messagelib: Limit CVE-2017-17689 (EFAIL) even more for kmail

2018-05-19 Thread Sandro Knauß
=high + + * Team upload. + + [ Sandro Knauß ] + * Limit outcome of CVE-2017-17689: kmail: efail attack against S/MIME +(Closes: #899127) +- Added upstream patches (modified to apply to old source): + * upstream-Distinguish-between-settings-and-explicit-override-f.patch + * upstream

Bug#898634: kmail: efail attack against S/MIME

2018-05-16 Thread Sandro Knauß
> There's a misunderstanding. My point isn't about PGP/MIME (which is indeed > handled by gnupg, even if through gpgme), but about S/MIME, which I really > don't think it handled by anything related to gnupg. It is - the binary and package is called gpgsm and is part of gnupg souce tarball.

Bug#898634: kmail: efail attack against S/MIME

2018-05-16 Thread Sandro Knauß
> Ok. Other clients like Evolution and Trojita also had an issue with DNS > prefetching which could be re-enabled in Webkit. Not sure on what library > KMail relies for HTML rending but it might be worth checking that too? > > See https://bugs.webkit.org/show_bug.cgi?id=182924 for the webkit bug

Bug#898634: kmail: efail attack against S/MIME

2018-05-16 Thread Sandro Knauß
Hey, For S/MIME the situation is that it is a conceptional weakness in the standard to remove the target vector completely. In KMail we have the best handling that we can get at the moment (with default settings). KMail never access resources from the internet without asking the user or an

Bug#895802: libqt5widgets5: Can't select parent nodes in QTreeView

2018-04-16 Thread Sandro Knauß
Package: libqt5widgets5 Version: 5.10.1+dfsg-5 Severity: normal Control: forwarded -1 https://bugreports.qt.io/browse/QTBUG-67724 Control: affects -1 konversation Hey, I see a behavior change with Qt 5.10 in Konversation. With 5.9.2 I could select the the parent/root nodes in Konversation(File >

Bug#895670: kaddressbook: Can't edit postal addresses anymore

2018-04-14 Thread Sandro Knauß
Hey, > when I want to edit the postal-address of a person in kaddressbook or want > to add a new one the tab with the postal adress(es), in German called > "Ort", does not appear, there is only the line: "Fehlende Module. Bitte > prüfen Sie ihre Installation" (Missing modules. Check your

Bug#894342: transition: kdepim

2018-04-05 Thread Sandro Knauß
wrote: > On 04/04/18 15:12, Sandro Knauß wrote: > > Hey, > > > > everything has been rebuilt and the transition is mostly green. > > > > I don't know if the transition will enter testing successfully without > > requesting RM for libkolab before. libkolab

Bug#894818: RM: libkolab -- ROM; upstream is dead and do not compile with kdepim 17.12.3

2018-04-04 Thread Sandro Knauß
Package: ftp.debian.org Severity: normal Control: block 894342 by -1 Hey, libkolab is not developed anymore by upstream as it doesn't looks like this is a temporaly issue, I request the removal of libkolab. With kdepim 17.12 it doesn't build anymore. As the only userwas kdepim-runtime for Kolab

Bug#894342: transition: kdepim

2018-04-04 Thread Sandro Knauß
after rebuilding kdepim-addons successfully on armhf we do an aging to not block Qt transition. hefee -- On Montag, 2. April 2018 00:45:18 CEST Emilio Pozuelo Monfort wrote: > On 02/04/18 00:39, Emilio Pozuelo Monfort wrote: > > On 01/04/18 16:14, Sandro Knauß wrote: > >> Hey

Bug#893515: digikam: FTBFS with kdepim 17.12.2

2018-04-02 Thread Sandro Knauß
CEST Sandro Knauß wrote: > Source: digikam > Version: 5.6.0-4 > Severity: important > > Hey, > > digikam 5.6.0-4 can't be compiled with KDE Pim 17.12.2, it failes > because kcalcore was been refactored to use QDateTime instead of > KDateTime. Additionally, it does not

Bug#894342: transition: kdepim

2018-04-01 Thread Sandro Knauß
Hey, Thanks a lot! > BTW I had to fix all your commands because of the bad versions... Next time > try to get them right, or don't specify the version at all (it's optional). sorry - I do not have written a lot of them. But I thought I need to specify a version, as in the docu[1] it is not

Bug#894342: transition: kdepim

2018-04-01 Thread Sandro Knauß
Hey, after uploading kdepim, the buildds had built KDE Pim 17.12.3 successfully for amd64 and i386 (other archs are still building). Now we needs some binNMUs. I don't know, do I need to use a separate bug for those requests or is it the correct way to file the wb actions just here inside the

Bug#894342: transition: kdepim

2018-03-29 Thread Sandro Knauß
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition KDE Pim 17.12 has updated ist API and ABI, that makes it nessasary to bump some ABIs. To track those ABI breakages, we updated the package names to 5abi1. So far most of the packages,

Bug#893515: digikam: FTBFS with kdepim 17.12.2

2018-03-19 Thread Sandro Knauß
Source: digikam Version: 5.6.0-4 Severity: important Hey, digikam 5.6.0-4 can't be compiled with KDE Pim 17.12.2, it failes because kcalcore was been refactored to use QDateTime instead of KDateTime. Additionally, it does not find KDocTools, please add libkf5doctools-dev to Build-Deps to resolve

Bug#892608: nmu: kjots_4:5.0.2-1

2018-03-11 Thread Sandro Knauß
Hey, > That's not the problem. > The symbol _ZN7Akonadi3Job16doHandleResponseExRKNS_8Protocol7CommandE > has been removed from libakonadicore5 without bumping the SONAME. I know, we made an mistake and also fixed this, by using Debian ABI Manager and doing proper transitions in future. As you

Bug#892608: nmu: kjots_4:5.0.2-1

2018-03-11 Thread Sandro Knauß
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: binnmu Hello, Due to a mistake, Akonadi was uploaded with a new symbol but without tracking the ABI breakage. We also have a bug report that documenting the ABI breakage: #885620. That's why

  1   2   3   4   5   >